Bug 1268062 - backport iproute vxlan udpcsum attribute to rhel 7.1
backport iproute vxlan udpcsum attribute to rhel 7.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute (Show other bugs)
7.1
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Phil Sutter
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 13:45 EDT by Ramu Ramamurthy
Modified: 2016-01-14 07:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 07:29:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramu Ramamurthy 2015-10-01 13:45:41 EDT
Description of problem:

the udp checksum on a vxlan tunnel boosts the performance of vxlan tunnels with intel nics.

THe rhel 7.1 vxlan driver has support for the "udpcsum" attribute but the iproute shipped with the RHEL 7.1 does not have support to provision that option on vxlan links.

This bug requests to backport that "udpcsum" attribute to the iproute package shipped with RHEL 7.1

Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Phil Sutter 2016-01-12 11:16:42 EST
The following commit should be backported:

commit 666cdc506f0fb540f123a9ce3d8585b5e9cb9698
Author: Tom Herbert <therbert@google.com>
Date:   Fri Nov 7 08:05:34 2014 -0800

    vxlan: Add support for enabling UDP checksums
    
    Add udpcsum option to enable transmitting UDP checksums when doing
    VXLAN/IPv4. Add udp6zerocsumtx, and udp6zerocsumrx options to enable
    sending zero checksums and receiving zero checksums in VXLAN/IPv6.
    
    Signed-off-by: Tom Herbert <therbert@google.com>
Comment 3 Phil Sutter 2016-01-12 11:22:22 EST
Hi Ramu,

(In reply to Ramu Ramamurthy from comment #0)
> THe rhel 7.1 vxlan driver has support for the "udpcsum" attribute but the
> iproute shipped with the RHEL 7.1 does not have support to provision that
> option on vxlan links.
> 
> This bug requests to backport that "udpcsum" attribute to the iproute
> package shipped with RHEL 7.1

I see the above commit is present in RHEL7.2 already. Can you confirm updating to RHEL7.2 is not a solution for you and instead we should backport the requested functionality to RHEL7.1?

Thanks, Phil
Comment 4 Ramu Ramamurthy 2016-01-13 16:30:53 EST
Hi Phil,

if support is there in rhel7.2, then, you can close this, We dont need it in RHEL7.1 specifically,
Comment 5 Phil Sutter 2016-01-14 07:29:03 EST
(In reply to Ramu Ramamurthy from comment #4)
> Hi Phil,
> 
> if support is there in rhel7.2, then, you can close this, We dont need it in
> RHEL7.1 specifically,

OK. I just verified functionality on a RHEL7.2 testing machine with iproute-3.10.0-54.el7.x86_64:

# ip link add vxlan0 type vxlan id 1 udpcsum
vxlan: destination port not specified
Will use Linux kernel default (non-standard value)
Use 'dstport 4789' to get the IANA assigned value
Use 'dstport 0' to get default and quiet this message

# ip -d  link show vxlan0
72: vxlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN mode DEFAULT qlen 1000
    link/ether 6e:d2:0b:a4:1b:47 brd ff:ff:ff:ff:ff:ff promiscuity 0 
    vxlan id 1 srcport 0 0 dstport 8472 ageing 300 udpcsum addrgenmode eui64 

# ip link del vxlan0

# ip link add vxlan0 type vxlan id 1 noudpcsum
vxlan: destination port not specified
Will use Linux kernel default (non-standard value)
Use 'dstport 4789' to get the IANA assigned value
Use 'dstport 0' to get default and quiet this message

# ip -d  link show vxlan0
71: vxlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN mode DEFAULT qlen 1000
    link/ether 26:34:fe:4b:0b:35 brd ff:ff:ff:ff:ff:ff promiscuity 0 
    vxlan id 1 srcport 0 0 dstport 8472 ageing 300 addrgenmode eui64 


So if 'udpcsum' was specified upon link creation, it is later printed by 'ip -d link show'. Assuming this is the requested feature, I'm closing this ticket now. Feel free to reopen in case my assumption is wrong.

Thanks, Phil

Note You need to log in before you can comment on or make changes to this bug.